<%--
  Created by IntelliJ IDEA.
  User: NEUSOFT
  Date: 2019/3/27
  Time: 10:40
  To change this template use File | Settings | File Templates.
--%>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<!-- saved from url=(0022)https://ngrok.cc/login -->
<html>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>登陆</title>
    <meta name="keywords" content="&lt;block name=&#39;keywords&#39;&gt;">
    <meta name="description" content="&lt;block name=&#39;description&#39;&gt;">
    <link rel="shortcut icon" href="http://dsada1.oss-cn-beijing.aliyuncs.com/img/xicon.png" type="image/x-icon">
    <link href="bootstrap/css/bootstrap.min14ed.css" rel="stylesheet">
    <link href="bootstrap/css/style.min862f.css" rel="stylesheet">
    <script src="bootstrap/js/jquery-3.3.1.min.js"></script>
    <script type="text/javascript" src="js/jquery.validate.min.js"></script>
    <script type="text/javascript" src="https://dsada1.oss-cn-beijing.aliyuncs.com/js/MD5InUsed.js"></script>
    <script type="text/javascript">
        uin=function(){
            var str=$('input[name=username]').val();
            str=str.replace(/\s/g,"");
            $.ajax({
                url:"postUsername.action",
                type:"post",
                data:{"username":str},
                dataType:"json",
                success:function(){
                }
            });
        }
        cin=function(){
            var str=$('input[name=username]').val();
            str=str.replace(/\s/g,"");
            m5Sub(str,$('input[type=password]').val());
            console.log(BECAC6071D247E0D11DD9225157E24CF);
            $.ajax({
                url:"loginWithUT.action",
                type:"post",
                data:{"userToken":BECAC6071D247E0D11DD9225157E24CF},
                dataType:"json",
                success:function(){
                }
            });
        }
    </script>
</head>

<body class="fixed-sidebar full-height-layout gray-bg">

<div class="middle-box text-center loginscreen  animated fadeInDown">
    <h3>MusicOL</h3>

    <form class="m-t" id="loginCheck" action="loginSuccess.action" onsubmit="cin();" method="post" >
        <div class="form-group">
            <input type="text" id="username" onblur="checkUser();uin();" class="form-control valid" placeholder="用户名" name="username"> <span id="userSpan"></span>
        </div>
        <div class="form-group">
            <input type="password" class="form-control valid" placeholder="密码" >
        </div>
        <%--<div class="form-group">--%>
            <%--<input type="text" value="" placeholder="请输入验证码（不区分大小写）" class="input-val form-control valid"/>--%>
            <%--<canvas id="canvas" width="100" height="30" class="valid"></canvas>--%>
        <%--</div>--%>
        <button type="submit" class="btn btn-primary block full-width m-b">登 录</button>

        <p class="text-muted text-center"> <a href="mailto:william980918@qq.com"><small>忘记密码了？</small></a> | <a href="userRegist.action">注册一个新账号</a>|<a href="web.action">web</a>
        </p>
    </form>
</div>

<script type="text/javascript">
    function checkUser(){
        var username=$("#username").val();

        $.ajax({
            url:"selectUser.action",
            type:"post",
            data:{"username":username},
            dataType:"json",
            success:function(data){
                if (data!=true ) {
                    $("#userSpan").text("用户名不存在");
                    // $("#userSpan").val('');
                }else {
                    $("#userSpan").text("normal");
                }
                // else if(data==null && username !=''){
                //     $("#userSpan").text("用户名可用");
                // }
            }
        });
    }

    $(function(){
        var show_num = [];
        draw(show_num);
        $("#canvas").on('click',function(){
            draw(show_num);
        })
        $(".btn").on('click',
            function(){
                var val = $(".input-val").val().toLowerCase();
                var num = show_num.join("");
                if(val==''){
                    alert('请输入验证码！');
                    return false;
                }else if(val == num){
                    // alert('提交成功！');
                    $(".input-val").val('');
                    return true;
                    // draw(show_num);
                }else{
                    alert('验证码错误！请重新输入！');
                    draw(show_num);
                    $(".input-val").val('');
                    return false;
                    // draw(show_num);
                }
            })
    })
    //生成并渲染出验证码图形
    function draw(show_num) {
        var canvas_width=$('#canvas').width();
        var canvas_height=$('#canvas').height();
        var canvas = document.getElementById("canvas");//获取到canvas的对象，演员
        var context = canvas.getContext("2d");//获取到canvas画图的环境，演员表演的舞台
        canvas.width = canvas_width;
        canvas.height = canvas_height;
        var sCode = "a,b,c,d,e,f,g,h,i,j,k,m,n,p,q,r,s,t,u,v,w,x,y,z,A,B,C,E,F,G,H,J,K,L,M,N,P,Q,R,S,T,W,X,Y,Z,1,2,3,4,5,6,7,8,9,0";
        var aCode = sCode.split(",");
        var aLength = aCode.length;//获取到数组的长度
        for (var i = 0; i < 4; i++) { //这里的for循环可以控制验证码位数（如果想显示6位数，4改成6即可）
            var j = Math.floor(Math.random() * aLength);//获取到随机的索引值
            // var deg = Math.random() * 30 * Math.PI / 180;//产生0~30之间的随机弧度
            var deg = Math.random() - 0.5; //产生一个随机弧度
            var txt = aCode[j];//得到随机的一个内容
            show_num[i] = txt.toLowerCase();
            var x = 10 + i * 20;//文字在canvas上的x坐标
            var y = 20 + Math.random() * 8;//文字在canvas上的y坐标
            context.font = "bold 23px 微软雅黑";
            context.translate(x, y);
            context.rotate(deg);
            context.fillStyle = randomColor();
            context.fillText(txt, 0, 0);
            context.rotate(-deg);
            context.translate(-x, -y);
        }
        for (var i = 0; i <= 5; i++) { //验证码上显示线条
            context.strokeStyle = randomColor();
            context.beginPath();
            context.moveTo(Math.random() * canvas_width, Math.random() * canvas_height);
            context.lineTo(Math.random() * canvas_width, Math.random() * canvas_height);
            context.stroke();
        }
        for (var i = 0; i <= 30; i++) { //验证码上显示小点
            context.strokeStyle = randomColor();
            context.beginPath();
            var x = Math.random() * canvas_width;
            var y = Math.random() * canvas_height;
            context.moveTo(x, y);
            context.lineTo(x + 1, y + 1);
            context.stroke();
        }
    }
    //得到随机的颜色值
    function randomColor() {
        var r = Math.floor(Math.random() * 256);
        var g = Math.floor(Math.random() * 256);
        var b = Math.floor(Math.random() * 256);
        return "rgb(" + r + "," + g + "," + b + ")";
    }
</script>
</body>
</html>